Page MenuHomePhabricator

Create a set of celery tasks that can handle the global metric API input {kudu} [0 pts]
Closed, ResolvedPublic

Description

The following has been broken down into three subtasks:

  • validate the cohort by username, not failing unless there are more than 50% invalid names
  • run a few different reports with this cohort (but the specific reports that run can be a hard-coded configuration, we're not expecting this to be a common thing we need to build generic infrastructure for if that's too hard.
  • get the results from the reports
  • delete the cohort (or just never create it if that's easier, but I think MultiProjectMetricReportNode needs it)
  • put the results in the db with a guid id defined by the API when it first accepted the request

Additional work:

Event Timeline

Milimetric raised the priority of this task from to High.
Milimetric updated the task description. (Show Details)
Milimetric added a project: Analytics-Backlog.
Milimetric updated the task description. (Show Details)
Milimetric set Security to None.
Milimetric added subscribers: Milimetric, Aklapper.
Milimetric renamed this task from Create a set of celery tasks that can handle the global metric API input to Create a set of celery tasks that can handle the global metric API input {kudu}.Oct 30 2015, 9:47 PM
Milimetric updated the task description. (Show Details)Nov 10 2015, 7:35 PM
Milimetric renamed this task from Create a set of celery tasks that can handle the global metric API input {kudu} to Create a set of celery tasks that can handle the global metric API input {kudu} [0 pts].Nov 10 2015, 8:17 PM
Milimetric moved this task from Incoming to Tasked on the Analytics-Backlog board.Nov 12 2015, 6:06 PM
madhuvishy moved this task from Next Up to Paused on the Analytics-Kanban board.
Abit added a subscriber: Abit.Dec 1 2015, 7:50 PM
Milimetric updated the task description. (Show Details)Dec 3 2015, 10:39 PM
Nuria closed this task as Resolved.Jan 21 2016, 5:04 PM